Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: martin rudalics <[email-masked]>
Date: Thu, 26 Dec 2013 19:04:11 +0100

> Thanks.  I don't see any problems with the new version, but I still
 > can make the frame as small as just the tool bar, or even smaller.  It
 > looks like the leave one line/column strategy is being defeated by
 > something.  Not that I think it's terribly important to fix this.

You can make the frame as small as the window manager allows it.  But
the root window should now be always at least one line/column large
(earlier you could easily give it a negative size).  So there's a loose
synchronization between frame and root window size: If the frame is
large enough, the root window will be fit into it and you can see it
together with the toolbar and the minibuffer window.  If the frame is
not large enough, toolbar, root and minibuffer window together are
larger than the frame and the window manager clips parts or all of them.

This means that in certain states you cannot, for example, derive the
size of the root window from the size of the frame.  But this wasn't
possible before my change either.

martin